%define	upstream_name	 Archive-Any
%define upstream_version 0.0945

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Single interface to deal with file archives
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::MMagic)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Module::Find)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a single interface for manipulating different archive formats.
Tarballs, zip files, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%{makeinstall_std}

%files 
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json MYMETA.yml README
%{perl_vendorlib}/Archive
%{_mandir}/man3/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 1:0.94.500-1.mga6
+ Revision: 1010565
- update to 0.0945

* Thu Apr 28 2016 shlomif <shlomif> 1:0.94.400-1.mga6
+ Revision: 1007351
- update to 0.0944

* Thu Feb 18 2016 umeabot <umeabot> 1:0.94.200-2.mga6
+ Revision: 966934
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1:0.94.200-1.mga6
+ Revision: 847126
- update to 0.0942

* Wed Oct 15 2014 umeabot <umeabot> 1:0.94.100-3.mga5
+ Revision: 740492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.94.100-2.mga5
+ Revision: 683532
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 shlomif <shlomif> 1:0.94.100-1.mga5
+ Revision: 583835
- New version 0.0941

* Fri Oct 18 2013 umeabot <umeabot> 1:0.93.200-3.mga4
+ Revision: 509157
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.93.200-2.mga3
+ Revision: 363089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1:0.93.200-1.mga1
+ Revision: 31719
- mageia rebuild
- imported package perl-Archive-Any

